; AUTOMATICALLY GENERATED -- DO NOT EDIT
;
[naming]
name = tomcat-native
dist = .win6
version = 1.1.24
release = 2.win6
group = System Environment/Libraries
summary = Tomcat native library
description =
	Tomcat can use the Apache Portable Runtime to provide superior
	scalability, performance, and better integration with native server
	technologies.  The Apache Portable Runtime is a highly portable library
	that is at the heart of Apache HTTP Server 2.x.  APR has many uses,
	including access to advanced IO functionality (such as sendfile, epoll
	and OpenSSL), OS level functionality (random number generation, system
	status, etc), and native process handling (shared memory, NT pipes and
	Unix sockets).  This package contains the Tomcat native library which
	provides support for using APR in Tomcat.
[building]
platform = w2k8-x64
preinstalled = unzip
provides = tcnative
buildrequires =
	xbuild
	openssl
	httpd
execute = xbuild_version=2.0.5
	pushd $xbuild_dir
	unzip -d dist xbuild-$xbuild_version.zip
	popd
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=i686 make
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=x86_64 make

[files]
output = $name-$version-$release.src.zip:all:src
	 $name-$version-$release.i686.zip:i686:fre
	 $name-$version-$release.x86_64.zip:x86_64:fre
logs =

;[changelog]
;* Wed Sep  5 2012 Mladen Turk <mturk@redhat.com> - 1.1.24-2 =
;	- Rebuild.
;* Tue Jun 19 2012 Mladen Turk <mturk@redhat.com> - 1.1.24-1 =
;	- Rebase to 1.1.24.
;* Mon Mar  5 2012 Mladen Turk <mturk@redhat.com> - 1.1.23-1 =
;	- Rebase to 1.1.23.
;* Wed Feb  1 2012 Mladen Turk <mturk@redhat.com> - 1.1.22-2 =
;	- Rebuild using git repository.
;* Thu Dec 22 2011 Mladen Turk <pcheung@redhat.com>  - 1.1.22-1 =
;	- Upgrade to 1.1.22
;* Thu Dec  8 2011 Vaclav Tunka <vtunka@redhat.com> - 1.1.20-2.4 =
;	- Build for EAP 6 / EWS 2
;* Wed Oct 26 2011 Vaclav Tunka <vtunka@redhat.com> - 1.1.20-2.3 =
;	- Rebuild
;* Fri Oct 21 2011 Vaclav Tunka <vtunka@redhat.com> - 1.1.20-2.2 =
;	- Makefile include for general xbuild Makefile
;	- Moving to generated .ini file
;	- Add win build requires for xbuild, openssl and httpd
;* Wed Oct 12 2011 Mladen Turk <pcheung@redhat.com>  - 1.1.20-2.1 =
;	- Add winspec files
;* Thu Jan 06 2011 Permaine Cheung <pcheung@redhat.com>  - 1.1.20-2.0 =
;	- Build with no-strict-aliasing as suggested by rpmdiff
;* Thu Nov 25 2010 Permaine Cheung <pcheung@redhat.com> - 1.1.20-1.0 =
;	- Upgrade to 1.1.20
;	- Remove patch that has already been incorporated in the new version
;* Fri May 28 2010 Permaine Cheung <pcheung@redhat.com> - 1.1.19-4.0 =
;	- Add repolib for sources
;* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 1.1.19-3.0.1 =
;	- rebuilt
;* Tue Apr 06 2010 Hui Wang <huwang@redhat.com> - 1.1.19-3.0 =
;	- Rebuild
;* Mon Feb 08 2010 Permaine Cheung <pcheung@redhat.com> - 1.1.19-2.0 =
;	- Add patch for BZ48584 (From mturk@redhat.com)
;* Fri Jan 15 2010 Permaine Cheung <pcheung@redhat.com> - 1.1.19-1.0 =
;	- Upgrade to 1.1.19
;* Mon Dec 14 2009 Permaine Cheung <pcheung@redhat.com> - 1.1.18-1.0 =
;	- Upgrade to 1.1.18
;	- Remove patch for CVE-2009-3555 as it is fixed in 1.1.18
;* Mon Nov 16 2009 Permaine Cheung <pcheung@redhat.com> - 1.1.16-1.2 =
;	- Add fix for CVE-2009-3555
;* Wed Jul 22 2009 Permaine Cheung <pcheung@redhat.com> - 1.1.16-1.1 =
;	- Add src-zip
;* Thu Nov 20 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.1.16-1 =
;	- 1.1.16.
;* Thu Sep 11 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.1.15-1 =
;	- 1.1.15.
;* Sat Jul  5 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.1.14-1 =
;	- 1.1.14.
;* Sat Feb 16 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.1.13-1 =
;	- 1.1.13.
;* Tue Feb 12 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.1.12-2 =
;	- Apply upstream fix to silence (seemingly harmless?) configure error spewage.
;* Sat Dec 22 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.12-1 =
;	- 1.1.12.
;* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.1.10-3 =
;* Wed Dec  5 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.10-2 =
;	- Rebuild.
;* Thu Sep  6 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.10-1 =
;	- First Fedora build.
;* Mon Aug 20 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.10-0.2 =
;	- License: ASL 2.0.
;* Mon Apr 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.10-0.1 =
;	- 1.1.10.
;* Tue Apr  3 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.9-0.1 =
;	- 1.1.9.
;* Sat Jan  6 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.1.8-0.1 =
;	- 1.1.8.
;* Tue Dec 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.7-0.1 =
;	- 1.1.7.
;* Mon Nov 13 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.6-0.1 =
;	- 1.1.6.
;* Sat Sep 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.4-0.1 =
;	- 1.1.4, specfile cleanup.
;* Wed Jun 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.3-0.1 =
;	- First build.
